Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047020
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-06-08 11:422021-06-16 13:22
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047020: It is possible scan one item before the login process finish

Descriptionthe scan should be disabled until the login is completed
Steps To Reproduce. open chrome dev tools
. register a function (debugger) in OBPOS_BarcodeScan hook to stop the execution when item is scanned:
OB.UTIL.HookManager.registerHook('OBPOS_BarcodeScan', function(args, callbacks) {debugger;OB.UTIL.HookManager.callbackExecutor(args, callbacks);})

. do login and scan continuously
. the hook is executed before the login finished
. the item was not added to the ticket

check video:
https://drive.google.com/file/d/1UjBESGidmaZG_iCROC6s1hr7pHej67_y/view [^]
. in the second 7, the product is scanned (hook is executed)
. execution is resumed (F8) but the product was not added to the receipt
Proposed Solution. scanner should be disabled during the login
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0129543)
hgbot (developer)
2021-06-16 08:11

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/238 [^]
(0129564)
hgbot (developer)
2021-06-16 13:22

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 3d9fadd27d249cf10011da59ad5b1c1a76087ecb
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-06-16T11:22:16+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/3d9fadd27d249cf10011da59ad5b1c1a76087ecb [^]

Fixed ISSUE-47020: BarcodeScan should be prevented when POS is login and loading

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0129565)
hgbot (developer)
2021-06-16 13:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/238 [^]

- Issue History
Date Modified Username Field Change
2021-06-08 11:42 malsasua New Issue
2021-06-08 11:42 malsasua Assigned To => Retail
2021-06-08 11:42 malsasua Triggers an Emergency Pack => No
2021-06-09 00:16 rafaroda Tag Attached: NOR
2021-06-10 06:16 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-06-14 18:24 ranjith_qualiantech_com Status new => scheduled
2021-06-16 08:11 hgbot Note Added: 0129543
2021-06-16 13:22 hgbot Resolution open => fixed
2021-06-16 13:22 hgbot Status scheduled => closed
2021-06-16 13:22 hgbot Fixed in Version => RR21Q3
2021-06-16 13:22 hgbot Note Added: 0129564
2021-06-16 13:22 hgbot Note Added: 0129565


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker